package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*提现记录
* @author quyixiao
* @since 2025-10-25
*/

@Data
@TableName("vv_draw_cash_record")
public class VvDrawCashRecordEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvDrawCashRecordEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 创建时间戳
    public final static String draw_cash_amount = CLASS_NAME + "draw_cash_amount";    // 提现金额
    public final static String status_ = CLASS_NAME + "status";                       // apply：申请， reject:拒绝， agree:同意
    public final static String reject_reason = CLASS_NAME + "reject_reason";          // 拒绝原因
    public final static String buyer_id = CLASS_NAME + "buyer_id";                    // 买家id
    public final static String buyer_name = CLASS_NAME + "buyer_name";                // 买家名称
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";            // 买家微信
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";              // 买家手机号
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //创建时间戳
    private Long createTimestamp;
    //提现金额
    private BigDecimal drawCashAmount;
    //apply：申请， reject:拒绝， agree:同意
    private String status;
    //拒绝原因
    private String rejectReason;
    //买家id
    private Long buyerId;
    //买家名称
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //买家手机号
    private String buyerPhone;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 创建时间戳 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间戳 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 提现金额 
     * @return
     */
    public BigDecimal getDrawCashAmount() {
        return drawCashAmount;
    }
    /**
     * 提现金额 
     * @param drawCashAmount
     */
    public void setDrawCashAmount(BigDecimal drawCashAmount) {
        this.drawCashAmount = drawCashAmount;
    }

    /**
     * apply：申请， reject:拒绝， agree:同意 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * apply：申请， reject:拒绝， agree:同意 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 拒绝原因 
     * @return
     */
    public String getRejectReason() {
        return rejectReason;
    }
    /**
     * 拒绝原因 
     * @param rejectReason
     */
    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    @Override
    public String toString() {
        return "VvDrawCashRecordEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",drawCashAmount=" + drawCashAmount +
                ",status=" + status +
                ",rejectReason=" + rejectReason +
                ",buyerId=" + buyerId +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",buyerPhone=" + buyerPhone +
                "}";
    }
}